"use client";

/**
 * 日历网格组件
 * 显示当月日期网格布局
 */

import { FC } from "react";
import { CalendarDay } from "../types/magic-mirror";

interface CalendarGridProps {
  days: CalendarDay[];
}

const CalendarGrid: FC<CalendarGridProps> = ({ days }) => (
  <div className="grid grid-cols-7 gap-1 text-sm">
    {days.map((day, index) => (
      <div
        key={index}
        className={`text-center p-1 rounded ${
          day.isCurrent ? "bg-white/20" : ""
        } ${day.isEmpty ? "opacity-20" : "text-gray-300"}`}
      >
        {!day.isEmpty && day.day}
      </div>
    ))}
  </div>
);

export default CalendarGrid;