// components/VoiceAssistant.tsx
"use client";

import { FC } from "react";
import MicIcon from "@mui/icons-material/Mic";

interface VoiceAssistantProps {
  greeting: string;
}

const VoiceAssistant: FC<VoiceAssistantProps> = ({ greeting }) => {
  return (
    <div className="absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 text-center">
      <h1 className="text-6xl font-light mb-8 drop-shadow-glow">
        {greeting}，先生
      </h1>
      <div className="flex items-center justify-center gap-2 text-xl opacity-80">
        <MicIcon fontSize="inherit" />
        <span>语音助手待命中...</span>
      </div>
    </div>
  );
};

export default VoiceAssistant;
