/**
 * 魔镜应用类型定义文件
 * 包含天气、新闻、日历等数据结构的类型定义
 */

// 新增天气数据类型定义
export interface WeatherData {
  temp: number;
  feelsLike: number;
  condition: string;
  sunrise: string;
  sunset: string;
  windSpeed: string;
  windDirection: string;
  uvIndex: string;
  forecast: {
    day: string;
    low: number;
    high: number;
    condition: string;
  }[];
}

// 新增日出日落数据类型定义
export interface SunData {
  date: string;
  sunrise: string;
  sunset: string;
}

// 新增新闻数据类型定义
export interface NewsItem {
  uniquekey: string;
  title: string;
  date: string;
  category: string;
  author_name: string;
  url: string;
  thumbnail_pic_s?: string;
  is_content: string;
}

// 新增日历数据类型定义
export type CalendarDay = {
  day: number;
  isCurrent: boolean;
  isEmpty: boolean;
};