/**
 * 日历工具函数
 * 生成当月日历数据
 */

import { CalendarDay } from "@/types/magic-mirror";

export const generateCalendarDays = (): CalendarDay[] => {
    const date = new Date();
    const year = date.getFullYear();
    const month = date.getMonth();
    const firstDay = new Date(year, month, 1).getDay();
    const daysInMonth = new Date(year, month + 1, 0).getDate();

    return Array.from({ length: 42 }, (_, i) => {
        const day = i - firstDay + 1;
        return {
            day: day > 0 && day <= daysInMonth ? day : 0,
            isCurrent: day === date.getDate(),
            isEmpty: day <= 0 || day > daysInMonth,
        };
    });
};